package sun.rmi.transport.proxy;

import java.net.ServerSocket;
import java.io.IOException;
import java.net.URL;
import java.net.Socket;
import java.rmi.server.RMISocketFactory;

public class RMIHttpToCGISocketFactory extends RMISocketFactory
{
    public RMIHttpToCGISocketFactory() {
    }
    
    @Override
    public Socket createSocket(String host, int i) throws IOException {
        return new HttpSendSocket(host, i, new URL("http", host, "/cgi-bin/java-rmi.cgi?forward=" + i));
    }
    
    @Override
    public ServerSocket createServerSocket(int n) throws IOException {
        return new HttpAwareServerSocket(n);
    }
}
